Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to 'releng/org.eclipse.rap.releng/scripts/war-hudson.sh')
-rwxr-xr-xreleng/org.eclipse.rap.releng/scripts/war-hudson.sh28
1 files changed, 24 insertions, 4 deletions
diff --git a/releng/org.eclipse.rap.releng/scripts/war-hudson.sh b/releng/org.eclipse.rap.releng/scripts/war-hudson.sh
index a72f265b14..f79d37a646 100755
--- a/releng/org.eclipse.rap.releng/scripts/war-hudson.sh
+++ b/releng/org.eclipse.rap.releng/scripts/war-hudson.sh
@@ -5,13 +5,33 @@
# See Job -> Configure... -> This build is parameterized
#
-runtimeDir=/projects/rapbuild/build-runtime/3.4.1/
+runtimeDir=/home/build/rap/build-runtime/eclipse-3.4.1
+tomcatDir=/home/build/rap/apache-tomcat-6.0.18/
-./build-common.sh \
+scriptsDir=`dirname $0`
+
+$scriptsDir/build-common.sh \
--cvs-tag "$CVS_TAG" \
--build-type "$BUILD_TYPE" \
--work "$WORKSPACE" \
--runtime "$runtimeDir" \
--base-platform "$PLATFORM_DIR" \
- --builder "org.eclipse.rap/releng/org.eclipse.rap.releng.warbuild" \
- --rap-target "$latestTarget" \ No newline at end of file
+ --builder "org.eclipse.rap/releng/org.eclipse.rap.releng.warbuild"
+
+if [ $? = 0 ]; then
+ oldDeployment=`stat -c %Y $tomcatDir/work/Catalina/localhost/rapdemo/`
+
+ echo "Deploy new war archive"
+ cp "`echo $WORKSPACE`/output/rapdemo.war" $tomcatDir/webapps
+
+ # give tomcat a chance to deploy
+ sleep 1m
+
+ # check if the deployment is newer then the last one
+ newDeployment=`stat -c %Y $tomcatDir/work/Catalina/localhost/rapdemo/`
+ if [ $oldDeployment -ge $newDeployment ]; then
+ echo "Demo War archive was not successfully deployed to Tomcat."
+ exit 42
+ fi
+
+fi

Back to the top